Bug 211618 - dtruss man page missing
Summary: dtruss man page missing
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Manual Pages (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Gordon Bergling
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-06 01:56 UTC by bc979
Modified: 2020-07-11 03:33 UTC (History)
7 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bc979 2016-08-06 01:56:23 UTC
11.0-BETA3 references dtruss(1) in the man page for dtrace.  However, there is no man page for dtruss.
Comment 1 Graham Perrin 2016-10-30 20:43:19 UTC
Absence of dtruss(1) from versions 11 and 12 of FreeBSD
https://discourse.trueos.org/t/124/1

> … present in FreeBSD 10.3 but not in 11.0-RELEASE or 12-CURRENT. …

– am I mistaken?
Comment 2 Brandon Wandersee 2016-10-30 21:14:17 UTC
(In reply to Graham Perrin from comment #1)

I'm looking at it right now on 11.0-RELEASE-p1. I have to presume that it's also present in -CURRENT, but can't say for sure.
Comment 3 Benjamin Kaduk freebsd_committer 2016-10-30 23:23:36 UTC
------------------------------------------------------------------------
r300226 | gnn | 2016-05-19 14:51:39 -0500 (Thu, 19 May 2016) | 7 lines
Changed paths:
   D /head/cddl/contrib/dtracetoolkit
   M /head/cddl/usr.sbin/Makefile
   D /head/cddl/usr.sbin/dtruss
   M /head/share/dtrace/Makefile
   M /head/share/dtrace/README
   D /head/share/dtrace/toolkit

Remove the old version of the DTraceToolkit from the source tree.
The DTraceToolkit is part of the Open DTrace effort and is supported
on FreeBSD as a port (sysutils/DTraceToolkit) which has been updated
to properly track toolkit development upstream.

Sponsored by:   DARPA, AFRL

------------------------------------------------------------------------


Brandon, is your dtruss.1 from ports?
Comment 4 Benjamin Kaduk freebsd_committer 2016-10-30 23:25:59 UTC
(In reply to Benjamin Kaduk from comment #3)

Alternately, it could have been left behind due to the lack of running 'make delete-old' on upgrade.
Comment 5 Brandon Wandersee 2016-11-01 12:42:00 UTC
(In reply to Benjamin Kaduk from comment #4)

No, dtruss(1) and DTrace itself are definitely in my base system:

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

$ whereis dtruss
dtruss: /usr/sbin/dtruss /usr/share/man/en.UTF-8/man1/dtruss.1.gz

$ make check-old
>>> Checking for old files
>>> Checking for old libraries
>>> Checking for old directories
To remove old files and directories run 'make delete-old'.
To remove old libraries run 'make delete-old-libs'.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

I've only glanced at my local source tree---I'm not intimately familiar with it, I admit---but adding "WITHOUT_CDDL='YES'" to /etc/src.conf adds the dtruss(1) man page to my `make check-old` list, but not the /usr/sbin/dtruss binary, per /usr/src/tools/build/mk/OptionalObsoleteFiles.inc.

I haven't had my coffee yet, but it looks like it might be a bit more complicated than just a missing man page. I won't rule out that this might be a quirk in my system, though.
Comment 6 Brandon Wandersee 2016-11-01 12:44:58 UTC
Addendum: /usr/src/usr.sbin/dtruss is not present in my local source tree, either. So this may indeed be something odd on my end.
Comment 7 Graham Perrin 2016-11-05 11:10:58 UTC
(In reply to Brandon Wandersee from comment #2)

From https://discourse.trueos.org/t/124/2

> … FreeBSD-12.0-CURRENT-amd64-20161031-r308137-memstick.img 
> … installed the OS, then pkg, then dtrace-toolkit and again 
> there's the binary for dtrace but no binary for dtruss. …
Comment 8 commit-hook freebsd_committer 2018-10-31 15:29:56 UTC
A commit references this bug:

Author: yuripv
Date: Wed Oct 31 15:29:26 UTC 2018
New revision: 339956
URL: https://svnweb.freebsd.org/changeset/base/339956

Log:
  dtrace(1): remove reference to dtruss that was removed from base
  system in r300226.

  PR:		211618
  Reviewed by:	gnn, markj, 0mp
  Approved by:	kib (mentor, implicit)
  Differential Revision:	https://reviews.freebsd.org/D17762

Changes:
  head/cddl/contrib/opensolaris/cmd/dtrace/dtrace.1
Comment 9 Yuri Pankov freebsd_committer 2018-10-31 15:50:03 UTC
With dtruss reference removed from dtrace(1), it looks like there are no other actionable items for this PR.  OK to close?
Comment 10 Oleksandr Tymoshenko freebsd_committer freebsd_triage 2019-01-21 19:14:27 UTC
Yuri, can this PR be closed or is there work pending?

Thanks
Comment 11 Guangyuan Yang freebsd_committer 2019-03-15 00:24:03 UTC
(In reply to Yuri Pankov from comment #9)

It looks like we could close this PR.
Comment 12 commit-hook freebsd_committer 2020-06-27 17:39:29 UTC
A commit references this bug:

Author: gbe
Date: Sat Jun 27 17:39:14 UTC 2020
New revision: 362702
URL: https://svnweb.freebsd.org/changeset/base/362702

Log:
  MFC r339956 r362170: Add HISTORY sections to ZFS and dtrace manpages

  r362170
  Add HISTORY sections to ZFS and dtrace manpages

  Reviewed by:	bcr (mentor)
  Approved by:	bcr (mentor)
  Differential Revision:	https://reviews.freebsd.org/D23833

  r339956:
  dtrace(1): remove reference to dtruss that was removed from base
  system in r300226.

  PR:		211618
  Reviewed by:	gnn, markj, 0mp
  Approved by:	kib (mentor, implicit)
  Differential Revision:	https://reviews.freebsd.org/D17762

Changes:
_U  stable/12/
  stable/12/cddl/contrib/opensolaris/cmd/dtrace/dtrace.1
  stable/12/cddl/contrib/opensolaris/cmd/lockstat/lockstat.1
  stable/12/cddl/contrib/opensolaris/cmd/zdb/zdb.8
  stable/12/cddl/contrib/opensolaris/cmd/zfs/zfs.8
  stable/12/cddl/contrib/opensolaris/cmd/zpool/zpool.8
  stable/12/cddl/contrib/opensolaris/cmd/zstreamdump/zstreamdump.1
Comment 13 Mark Linimon freebsd_committer freebsd_triage 2020-07-11 03:33:25 UTC
^Triage: Assign to committer resolving